## nuntium 1.4%2b17.04.20161121-0ubuntu1

=== debian/changelog ===
nuntium (1.4+17.04.20161121-0ubuntu1) zesty; urgency=medium

  * Check MmsEnabled property in AccountsService.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 21 Nov 2016 11:06:54 -0200

nuntium (1.4+15.04.20150902-0ubuntu1) vivid; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * [ Dimitri John Ledkov ] Migrate from :sys:started events to dbus
    owner signals.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 02 Sep 2015 12:09:41 +0000

nuntium (1.4+15.10.20150714-0ubuntu1) wily; urgency=medium

  [ Dennis O'Flaherty ]
  * Enable receiving non-SMIL messages

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Fix decoding of From field value (LP: #1360403)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 14 Jul 2015 09:19:52 +0000

nuntium (1.4+15.10.20150707.1-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Track properly org.ofono.PushNotificationAgent (LP: #1471740) 

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 07 Jul 2015 10:42:24 +0000

nuntium (1.4+15.10.20150701.2-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Use proxy and proxy port from ofono Settings property (LP: #1417976) 

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Jul 2015 16:36:42 +0000

nuntium (1.4+15.10.20150615-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Fix LP: #1461107 and make PDU decoding more robust
  * Fix LP: #1460012 (context opened twice on rx)
  * Wait between retries when opening an IP context
  * Set ofono's Preferred property when a context is known to work

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 15 Jun 2015 08:52:13 +0000

nuntium (1.4+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Fix LP #1459995 and most bugs which symptom is not receiving MMS
    messages
  * Remove nuntium binary from VC

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 12:49:28 +0000

nuntium (1.4+15.04.20150521-0ubuntu1) vivid; urgency=medium

  [ Sergio Schvezov ]
  * Decode properly content type when there are parameters

  [ Alfonso Sanchez-Beato ]
  * Fix LP: #1441135 in the event of an oFono crash
  * Use oFono's Preferred property when selecting the mobile context

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 21 May 2015 06:27:56 +0000

nuntium (1.4+15.04.20150518-0ubuntu1) UNRELEASED; urgency=medium

  * Change upstart job so nuntium is re-spawned after an exit/crash

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 18 May 2015 15:36:23 +0200

nuntium (1.4+15.04.20150422-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ricardo Salveti de Araujo ]
  * control: building with golang-go instead (only package currently
    using gccgo)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Apr 2015 00:58:08 +0000

nuntium (1.4-0ubuntu6) vivid; urgency=medium

  * Drop the build dependency on gccgo-go.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Mar 2015 19:33:49 +0100

nuntium (1.4-0ubuntu5) vivid; urgency=medium

  * Still build-depend on gccgo-go on 32bit architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Mar 2015 23:43:15 +0000

nuntium (1.4-0ubuntu4) vivid; urgency=medium

  * Drop the build dependency on gccgo-go.
  * Drop the special handling for gccgo architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2015 22:25:21 +0100

nuntium (1.4-0ubuntu2) vivid; urgency=medium

  * Adjusting packaging to work on ppc64el.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Thu, 22 Jan 2015 10:33:33 -0300

nuntium (1.4-0ubuntu1) vivid; urgency=medium

  [Manuel de la Pena]
  * Adding support for multiple recipients. (LP: #1398440)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Tue, 20 Jan 2015 11:42:30 -0300

nuntium (1.1-0ubuntu1) vivid; urgency=medium

  * Minor tree refactor.
  * Test tool added.
  * Documentation added. 

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 07 Nov 2014 16:01:53 -0300

nuntium (0.1+14.10.20141013-0ubuntu1) 14.09; urgency=low

  [ Sergio Schvezov ]
  * Hold off on retrying when ofono fails to activate a context with a
    generic failure (LP: #1380699)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 13 Oct 2014 16:59:11 +0000

nuntium (0.1+14.10.20141002-0ubuntu1) 14.09; urgency=low

  [ Sergio Schvezov ]
  * Allow context selection over the org.ofono.mms.Service interface
    (LP: #1370660)
  * Syncing upload/download operations with activation/deactivation per
    request. Moving all the ofono context property checks and reflection
    logic to proper functions for easier reuse and readability. (LP:
    #1376224)
  * Retry on NotAttached ofono errors (LP: #1371032)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 Oct 2014 15:06:31 +0000

nuntium (0.1+14.10.20140924-0ubuntu1) 14.09; urgency=low

  [ Sergio Schvezov ]
  * Using the same optional parameters android uses for sending, fixing
    length encoding for lengths < 30, adding extra params to the content
    types. (LP: #1349299)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Sep 2014 12:39:58 +0000

nuntium (0.1+14.10.20140918-0ubuntu1) 14.09; urgency=low

  [ Sergio Schvezov ]
  * Iterate over a list of possible valid MMS contexts and store the
    preferred one (LP: #1370659)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 04:37:21 +0000

nuntium (0.1+14.10.20140915.1-0ubuntu1) 14.09; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Sergio Schvezov ]
  * Add a missing return statement when decoding fails with an
    additional decoding test. (LP: #1369143)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 14:59:46 +0000

nuntium (0.1+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ Sergio Schvezov ]
  * Allow proxyless contexts to be selected for MMS (LP: #1362008)


