=== debian/control ===
Source: nuntium
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go-dbus-dev,
               golang-go-flags-dev,
               golang-go-xdg-dev,
               golang-gocheck-dev,
               golang-udm-dev,
Standards-Version: 3.9.5
Homepage: https://launchpad.net/nuntium
Vcs-Browser: http://bazaar.launchpad.net/~phablet-team/packaging/trunk/files
Vcs-Bzr: lp:packaging

Package: nuntium
Architecture: any
Depends: ofono, ubuntu-download-manager, ubuntu-upload-manager, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: telepathy-ofono
Conflicts: mmsd
Description: Bridges push notifications from ofono to telepathy-ofono
 This component registers a push agent with ofono and handles the MMS workflow
 by bridging with telepathy-ofono

Package: nuntium-decode-cli
Depends: nuntium-tools, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Built-Using: ${misc:Built-Using}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: nuntium-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: nuntium-decode-cli (<< 1.1~)
Breaks: nuntium-decode-cli (<< 1.1~)
Built-Using: ${misc:Built-Using}
Description: Useful tools for working with MMS and nuntium.
 - Decode m-retrieve.conf messages
 - Stub an ofono push notification into nuntium.

Package: golang-nuntium-mms-dev
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Go library for manipulating MMS
 This package handles MMS PDUs and has hooks for related actions in the MMS
 workflow

Package: golang-nuntium-ofono-dev
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Go library for interfacing with ofono
 Provides facilities to interface with ofono with regards to MMS through dbus

Package: golang-nuntium-telepathy-dev
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Go library for interfacing with telepathy-ofono
 Provides facilities to interface with telepathy ofono with regards to MMS
 through dbus
