=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS
export DH_GOPKG := github.com/ubuntu-phonedations/nuntium
export DH_GOLANG_INSTALL_ALL := 1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ \
		--buildsystem=golang \
		--with=golang \
		--fail-missing

override_dh_auto_test:
# The test runners panic when running on powerpc64.
ifneq ($(DEB_HOST_ARCH),powerpc)
	dh_auto_test
endif
	
override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang
	sh debian/cleanup.sh ${CURDIR}/debian/tmp $(DH_GOPKG)

override_dh_strip:
	echo "Skipping strip"

override_dh_clean:
	dh_clean
