## nuntium 2.2~git20250410.5332b482

=== debian/changelog ===
nuntium (2.2~git20250410.5332b482-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 18:12:14 +0200

nuntium (2.2~git20250410.5332b482-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #1102566).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 09:31:33 +0200
