=== debian/control ===
Source: nuntium
Section: utils
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-dbus-dev,
               golang-github-adrg-xdg-dev,
               golang-github-jessevdk-go-flags-dev,
               golang-gitlab-ubports-development-core-go-ldm-dev,
               golang-gopkg-check.v1-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/nuntium
Vcs-Browser: https://salsa.debian.org/ubports-team/nuntium
Vcs-Git: https://salsa.debian.org/ubports-team/nuntium.git
XS-Go-Import-Path: gitlab.com/ubports/development/core/nuntium

Package: nuntium
Architecture: any
Depends: ofono,
         lomiri-download-manager,
         lomiri-upload-manager,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: telepathy-ofono
Description: Bridges push notifications from ofono to telepathy-ofono
 This component registers a push agent with ofono and handles the MMS workflow
 by bridging with telepathy-ofono.

Package: nuntium-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Useful tools for working with MMS and nuntium
 - Decode m-retrieve.conf messages
 - Stub an ofono push notification into nuntium.

Package: golang-gitlab-ubports-development-core-nuntium-dev
Section: golang
Architecture: all
Depends: ${misc:Depends}
Description: Go library for manipulating MMS, interfacing with oFono and Telepathy-oFono
 This package handles MMS PDUs and has hooks for related actions in the MMS
 workflow. It also provides facilities to interface with oFono and
 Telepathy-oFono with regards to MMS through DBus.
