=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=2.1~git%cd.%h" \
https://code.qt.io/qt-labs/messagingframework.git HEAD debian uupdate
